class GamesController < ApplicationController
  before_action :set_game, only: [:show, :edit, :update, :destroy]

  # GET /games
  def index
    if params[:h] && session[:user]
      if params[:h] == '0'
        @games = Game.find_ongoing_games(session[:user])
      elsif params[:h] == '1'
        @games = Game.find_finished_games(session[:user])
      else
        @games = Game.all
      end
    else
      @games = Game.all
    end
  end

  # GET /games/1
  def show
  end

  # GET /games/new
  def new
    @game = Game.new
  end

  # GET /games/1/edit
  def edit
  end

  # POST /games
  def create
    if params[:cid]
      @game = Game.new
      @game.player1 = session[:user]
      @game.player2 = params[:cid]
    else
      @game = Game.new(game_params)
    end

    if @game.save
      redirect_to @game, notice: 'Game was successfully created.'
    else
      render :new
    end
  end

  # PATCH/PUT /games/1
  def update
    if @game.update(game_params)
      redirect_to @game, notice: 'Game was successfully updated.'
    else
      render :edit
    end
  end

  # DELETE /games/1
  def destroy
    @game.destroy
    redirect_to games_url, notice: 'Game was successfully destroyed.'
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_game
      @game = Game.find(params[:id])
    end

    # Only allow a trusted parameter "white list" through.
    def game_params
      params.require(:game).permit(:player1, :player2, :result)
    end
end
